<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Facelet Title</title>
        <h:outputStylesheet library="css" name="bootstrap.min.css"/>
        <h:outputScript library="js" name="bootstrap.min.js"/>
    </h:head>
    <h:body>
        <h:form id="frmRegistroProducto">    
            <p:growl id="growl_i" showDetail="true"/>
            <h:outputLabel value="Nuevo Producto"/>
            <p:panelGrid columns="2">
                 <p:outputLabel value="Id_Producto:" />
                 <p:inputText class="form-control" id="txtId_Videjuegos" required="true"/>
                <p:outputLabel value="Titulo:"/>
                <p:inputText class="form-control" id="txtTitulo"  required="true" />
                <p:outputLabel value="Precio:"/>
                <p:inputText class="form-control" id="txtPrecio"  required="true">
                    <f:validateDoubleRange minimum="100.50" maximum="5000.90"/>
                    <f:convertNumber minFractionDigits="2" maxFractionDigits="2"/>
                </p:inputText>
                <h:outputLabel value="Descripcion:"/>
                <h:inputTextarea class="form-control" id="txaDescripcion" required="true"/>
                <p:outputLabel value="Categoria:"/>
                <p:selectOneMenu class="form-select" id="cboCategoria" value="#{mbProducto.obj_Producto}"  required="true">
                    <f:selectItem itemLabel="--Seleccionar"/>
                    <f:selectItems value="#{mbProducto.lstVideojuegos}" />
                      
                </p:selectOneMenu>
                <p:commandButton class="btn btn-outline-success" icon="ui-icon-plusthick" value="Ingresar" 
                                 actionListener="#{mbProducto.agregarProducto()}" 
                                 update=":frmConsultar"/>                
        </p:panelGrid>
       </h:form>
        
        <p:dialog id="dlgModificar" minWidth="200" widgetVar="dlgModificar" 
              resizable="false" modal="true" header="Modificar Clientes" 
              showEffect="explode" hideEffect="explode">
            <h:form id="frmModificar">
                <p:growl id="growl_m" showDetail="true"/>
                <p:panelGrid id="pgModificar" columns="3">
                <p:outputLabel value="Id" />
                <p:inputText id="txtId" value="#{mbProducto.obj_Producto.idProducto}"/>
                <p:message for="txtId"/>
                
                <p:outputLabel value="Nombre"/>
                <p:inputText id="txtNombres" value="#{mbProducto.obj_Producto.nombre}"/>
                <p:message for="txtNombres"/>
                
                <p:outputLabel value="Precio"/>
                <p:inputText id="txtPrecio" value="#{mbProducto.obj_Producto.precio}"/>
                <p:message for="txtPrecio"/>
                
                <p:outputLabel value="Categoría"/>
                <p:inputText id="txtFecha_nac" value="#{mbClientes.obj_clientes.fechaNac}">
                    <f:convertDateTime pattern="yyyy-MM-dd"/>
                </p:inputText>
                <p:message for="txtFecha_nac"/>
                
                <p:outputLabel value="Categoria"/>
                <p:selectOneMenu id="txtcategoria" value="#{mbProducto.obj_Producto.categoriaProducto}">
                    <f:selectItem itemLabel="Silla Gamer" itemValue="Silla Gamer"/>
                    <f:selectItem itemLabel="Videojuego" itemValue="Videojuego"/>
                    <f:selectItem itemLabel="Consola" itemValue="Consola"/>
                    <f:selectItem itemLabel="Raton" itemValue="Raton"/>
                    <f:selectItem itemLabel="Teclado" itemValue="Teclado"/>
                    <f:selectItem itemLabel="Audifonos" itemValue="Audifonos"/>
                    <f:selectItem itemLabel="Microfono" itemValue="Microfono"/>
                    <f:selectItem itemLabel="Mandos" itemValue="Mandos"/>   
                </p:selectOneMenu>     
                <p:message for="txtcategoria"/>
                
                <p:outputLabel value="Descripcion"/>
                <p:inputTextarea id="txtDescripcion" value="#{mbProducto.obj_Producto.descripcion}"/>
                <p:message for="txtDescripcion"/>
                
                <p:commandButton icon="ui-icon-refresh" value="Modificar" 
                                 actionListener="#{mbClientes.modificarClientes()}" 
                                 update=":frmConsultar" oncomplete="PF('dlgModificar').hide()"/>
            </p:panelGrid>
            </h:form>            
        </p:dialog>
        
        <h:form id="frmConsultar">
            <p:dataTable id="dtConsultar" value="#{mbProducto.lstProducto}" var="p">
                <p:column headerText="ID">
                    <h:outputText value="#{p.idProducto}"/>
                </p:column>
                <p:column headerText="Nombre">
                    <h:outputText value="#{p.nombre}"/>
                </p:column>
                <p:column headerText="Precio">
                    <h:outputText value="#{p.precio}"/>
                </p:column>
                <p:column headerText="Categoria del producto">
                    <h:outputText value="#{p.categoriaProducto.descripcion}"/>
                </p:column>
                <p:column headerText="Descripcion">
                    <h:outputText value="#{p.descripcion}"/>
                </p:column>
                <p:column headerText="Modificar">
                    <p:growl id="growl_m" showDetail="true"/>
                    <p:commandButton  value="Modificar" oncomplete="PF('dlgModificar').show()" update=":frmModificar :frmConsultar">
                        <f:setPropertyActionListener target="#{mbProducto.obj_Producto}" value="#{p}"/>
                    </p:commandButton>
                                         
                </p:column>
                <p:column headerText="Eliminar">
                    <p:commandButton  value="Eliminar" oncomplete="PF('dlgEliminar').show()" update=":frmEliminar">
                        <f:setPropertyActionListener target="#{mbProducto.obj_Producto}" value="#{p}"/>
                    </p:commandButton>
                </p:column>
                
            </p:dataTable>
        </h:form>
        
        <p:dialog id="dlgEliminar" minWidth="200" widgetVar="dlgEliminar" 
                  resizable="false" modal="true" header="Eliminar Clientes" 
                  showEffect="explode" hideEffect="explode">
            <h:form id="frmEliminar">
                <p:growl id="growl_e" showDetail="true"/>
                <p:outputLabel value="Desea eliminar el registro: #{mbProducto.obj_Producto.idProducto}?"/>
                <p:commandButton icon="ui-icon-check" value="SI" actionListener="#{mbProducto.eliminarProducto()}" 
                                 update=":frmConsultar" oncomplete="PF('dlgEliminar').hide()"/>
                <p:commandButton icon="ui-icon-close" value="NO" oncomplete="PF('dlgEliminar').hide()"/>
            </h:form>
            
        </p:dialog>   
    </h:body>
</html>

